OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.IBM.StaticData

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetIBMStaticData :: MonadIO m => m Bool
- gl_IBM_static_data :: Bool
- pattern GL_ALL_STATIC_DATA_IBM :: GLenum
- pattern GL_STATIC_VERTEX_ARRAY_IBM :: GLenum
- glFlushStaticDataIBM :: MonadIO m => GLenum -> m ()

# Extension Support

glGetIBMStaticData :: MonadIO m => m Bool Source #

Is the IBM_static_data extension supported?

gl_IBM_static_data :: Bool Source #

Is the IBM_static_data extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetIBMStaticData` in those cases instead.

# Enums

pattern GL_ALL_STATIC_DATA_IBM :: GLenum Source #

pattern GL_STATIC_VERTEX_ARRAY_IBM :: GLenum Source #

# Functions

glFlushStaticDataIBM Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> m () |